# Form implementation generated from reading ui file 'src/eric7/PipInterface/PipFreezeDialog.ui'
#
# Created by: PyQt6 UI code generator 6.7.0
#
# WARNING: Any manual changes made to this file will be lost when pyuic6 is
# run again.  Do not edit this file unless you know what you are doing.


from PyQt6 import QtCore, QtGui, QtWidgets


class Ui_PipFreezeDialog(object):
    def setupUi(self, PipFreezeDialog):
        PipFreezeDialog.setObjectName("PipFreezeDialog")
        PipFreezeDialog.resize(600, 550)
        PipFreezeDialog.setSizeGripEnabled(True)
        self.verticalLayout = QtWidgets.QVBoxLayout(PipFreezeDialog)
        self.verticalLayout.setObjectName("verticalLayout")
        self.horizontalLayout_2 = QtWidgets.QHBoxLayout()
        self.horizontalLayout_2.setObjectName("horizontalLayout_2")
        self.localCheckBox = QtWidgets.QCheckBox(parent=PipFreezeDialog)
        self.localCheckBox.setChecked(True)
        self.localCheckBox.setObjectName("localCheckBox")
        self.horizontalLayout_2.addWidget(self.localCheckBox)
        self.userCheckBox = QtWidgets.QCheckBox(parent=PipFreezeDialog)
        self.userCheckBox.setObjectName("userCheckBox")
        self.horizontalLayout_2.addWidget(self.userCheckBox)
        self.constraintsCheckBox = QtWidgets.QCheckBox(parent=PipFreezeDialog)
        self.constraintsCheckBox.setObjectName("constraintsCheckBox")
        self.horizontalLayout_2.addWidget(self.constraintsCheckBox)
        spacerItem = QtWidgets.QSpacerItem(40, 20, QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Minimum)
        self.horizontalLayout_2.addItem(spacerItem)
        self.verticalLayout.addLayout(self.horizontalLayout_2)
        self.horizontalLayout = QtWidgets.QHBoxLayout()
        self.horizontalLayout.setObjectName("horizontalLayout")
        self.label = QtWidgets.QLabel(parent=PipFreezeDialog)
        self.label.setObjectName("label")
        self.horizontalLayout.addWidget(self.label)
        self.requirementsFilePicker = EricPathPicker(parent=PipFreezeDialog)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.requirementsFilePicker.sizePolicy().hasHeightForWidth())
        self.requirementsFilePicker.setSizePolicy(sizePolicy)
        self.requirementsFilePicker.setFocusPolicy(QtCore.Qt.FocusPolicy.StrongFocus)
        self.requirementsFilePicker.setObjectName("requirementsFilePicker")
        self.horizontalLayout.addWidget(self.requirementsFilePicker)
        self.verticalLayout.addLayout(self.horizontalLayout)
        self.gridLayout = QtWidgets.QGridLayout()
        self.gridLayout.setObjectName("gridLayout")
        self.saveButton = QtWidgets.QPushButton(parent=PipFreezeDialog)
        self.saveButton.setObjectName("saveButton")
        self.gridLayout.addWidget(self.saveButton, 0, 1, 1, 1)
        self.line = QtWidgets.QFrame(parent=PipFreezeDialog)
        self.line.setFrameShape(QtWidgets.QFrame.Shape.HLine)
        self.line.setFrameShadow(QtWidgets.QFrame.Shadow.Sunken)
        self.line.setObjectName("line")
        self.gridLayout.addWidget(self.line, 3, 1, 1, 1)
        self.replaceAllButton = QtWidgets.QPushButton(parent=PipFreezeDialog)
        self.replaceAllButton.setObjectName("replaceAllButton")
        self.gridLayout.addWidget(self.replaceAllButton, 7, 1, 1, 1)
        self.insertButton = QtWidgets.QPushButton(parent=PipFreezeDialog)
        self.insertButton.setObjectName("insertButton")
        self.gridLayout.addWidget(self.insertButton, 5, 1, 1, 1)
        self.copyButton = QtWidgets.QPushButton(parent=PipFreezeDialog)
        self.copyButton.setObjectName("copyButton")
        self.gridLayout.addWidget(self.copyButton, 2, 1, 1, 1)
        self.requirementsEdit = QtWidgets.QPlainTextEdit(parent=PipFreezeDialog)
        self.requirementsEdit.setTabChangesFocus(True)
        self.requirementsEdit.setObjectName("requirementsEdit")
        self.gridLayout.addWidget(self.requirementsEdit, 0, 0, 9, 1)
        spacerItem1 = QtWidgets.QSpacerItem(20, 40, QtWidgets.QSizePolicy.Policy.Minimum, QtWidgets.QSizePolicy.Policy.Expanding)
        self.gridLayout.addItem(spacerItem1, 8, 1, 1, 1)
        self.replaceSelectionButton = QtWidgets.QPushButton(parent=PipFreezeDialog)
        self.replaceSelectionButton.setObjectName("replaceSelectionButton")
        self.gridLayout.addWidget(self.replaceSelectionButton, 6, 1, 1, 1)
        self.saveToButton = QtWidgets.QPushButton(parent=PipFreezeDialog)
        self.saveToButton.setObjectName("saveToButton")
        self.gridLayout.addWidget(self.saveToButton, 1, 1, 1, 1)
        self.label_2 = QtWidgets.QLabel(parent=PipFreezeDialog)
        self.label_2.setAlignment(QtCore.Qt.AlignmentFlag.AlignCenter)
        self.label_2.setObjectName("label_2")
        self.gridLayout.addWidget(self.label_2, 4, 1, 1, 1)
        self.verticalLayout.addLayout(self.gridLayout)
        self.buttonBox = QtWidgets.QDialogButtonBox(parent=PipFreezeDialog)
        self.buttonBox.setOrientation(QtCore.Qt.Orientation.Horizontal)
        self.buttonBox.setStandardButtons(QtWidgets.QDialogButtonBox.StandardButton.Close)
        self.buttonBox.setObjectName("buttonBox")
        self.verticalLayout.addWidget(self.buttonBox)

        self.retranslateUi(PipFreezeDialog)
        self.buttonBox.accepted.connect(PipFreezeDialog.accept) # type: ignore
        self.buttonBox.rejected.connect(PipFreezeDialog.reject) # type: ignore
        QtCore.QMetaObject.connectSlotsByName(PipFreezeDialog)
        PipFreezeDialog.setTabOrder(self.localCheckBox, self.userCheckBox)
        PipFreezeDialog.setTabOrder(self.userCheckBox, self.constraintsCheckBox)
        PipFreezeDialog.setTabOrder(self.constraintsCheckBox, self.requirementsFilePicker)
        PipFreezeDialog.setTabOrder(self.requirementsFilePicker, self.requirementsEdit)
        PipFreezeDialog.setTabOrder(self.requirementsEdit, self.saveButton)
        PipFreezeDialog.setTabOrder(self.saveButton, self.saveToButton)
        PipFreezeDialog.setTabOrder(self.saveToButton, self.copyButton)
        PipFreezeDialog.setTabOrder(self.copyButton, self.insertButton)
        PipFreezeDialog.setTabOrder(self.insertButton, self.replaceSelectionButton)
        PipFreezeDialog.setTabOrder(self.replaceSelectionButton, self.replaceAllButton)

    def retranslateUi(self, PipFreezeDialog):
        _translate = QtCore.QCoreApplication.translate
        PipFreezeDialog.setWindowTitle(_translate("PipFreezeDialog", "Generate Requirements"))
        PipFreezeDialog.setToolTip(_translate("PipFreezeDialog", "Replace the current selection with the requirements text"))
        self.localCheckBox.setToolTip(_translate("PipFreezeDialog", "Select to show requirements for locally-installed packages only"))
        self.localCheckBox.setText(_translate("PipFreezeDialog", "Local packages only"))
        self.userCheckBox.setToolTip(_translate("PipFreezeDialog", "Select to show requirements for packages installed to the user-site only"))
        self.userCheckBox.setText(_translate("PipFreezeDialog", "User-Site only"))
        self.constraintsCheckBox.setToolTip(_translate("PipFreezeDialog", "Select to include an \'--constraint constraints.txt\' statement"))
        self.constraintsCheckBox.setText(_translate("PipFreezeDialog", "Include Constraints"))
        self.label.setText(_translate("PipFreezeDialog", "Requirements File:"))
        self.saveButton.setToolTip(_translate("PipFreezeDialog", "Press to save to the requirements file"))
        self.saveButton.setText(_translate("PipFreezeDialog", "Save"))
        self.replaceAllButton.setToolTip(_translate("PipFreezeDialog", "Replace all text with the requirements text"))
        self.replaceAllButton.setText(_translate("PipFreezeDialog", "Replace All"))
        self.insertButton.setToolTip(_translate("PipFreezeDialog", "Insert the requirements text at the cursor position"))
        self.insertButton.setText(_translate("PipFreezeDialog", "Insert"))
        self.copyButton.setToolTip(_translate("PipFreezeDialog", "Copy the requirements text to the clipboard"))
        self.copyButton.setText(_translate("PipFreezeDialog", "Copy"))
        self.replaceSelectionButton.setText(_translate("PipFreezeDialog", "Replace Selection"))
        self.saveToButton.setToolTip(_translate("PipFreezeDialog", "Save to a new file"))
        self.saveToButton.setText(_translate("PipFreezeDialog", "Save To"))
        self.label_2.setText(_translate("PipFreezeDialog", "<b>Editor Actions</b>"))
from eric7.EricWidgets.EricPathPicker import EricPathPicker
